import { RegSuitConfiguration } from "reg-suit-interface";
export declare class ConfigManager {
    readonly defaultConfigFileName: string;
    replaceEnvValue(rawConfig: RegSuitConfiguration): RegSuitConfiguration;
    readConfig(configFileName?: string): {
        readUserConfig: boolean;
        config: RegSuitConfiguration;
    };
    writeConfig(config: RegSuitConfiguration, configFileName?: string): void;
    private _getConfigPath(configFileName);
}
declare const configManager: ConfigManager;
export default configManager;
